Calculate Linux - Bug # 627: DYD%D»NED-D¥:D2D°N,Dub»NENDD, Dp N"D°D+D»D¥4D¥4N<.
D«b%:D NEPUD! DiPubY:D PO Category:
Subject:

DYDP¥D»NED -B¥D2D°N,Dub»NEND°D P N*D°D+D»D¥DVsN«.

Description:

Di DYbub D°DDY%PUD DY  DNEPUDYDUDYD, D¢ PUNEDUNND°D»D, NED°D+D¥:N P°N,NE
+*D DYD»NED DYD2D°N DUb»NERNDD B+  N'D°D+D»D¥%:DY:Nc.  Bj D2P¥%N, N,D°Peb¥%bt
NeNfBD°DY2NENZ.

<pre>

* PeDUN, NfND»D¥:D2D B! D¢ NEDYD2DUNEDD, D-DY:D°NiDuDY:D Ne D¢ DUNEDUDYDUDYDY2DY:DL
D PubN«N,p2D Ne

* DYNED¥:D ¢ N f N%oDub¥:D%:NBp N"D°D+D»D¥sDY2Nc<:

* Ivar/calculate/templates/1_ac_install_merge/.calculate_directory

* /var/calculate/templates/2_ac_install_patch/.calculate_directory

* DYNED D¢ N fN%Dub¥:b%:N D DD, NEPuD°N, D¥NED D :

* /var/calculate/templates/1_ac_install_merge

* Ivar/calculate/templates/2_ac_install_patch

* P—D°DP¥UD»DYD2DD, N'D°D+D»D¥%:b¥%D¥:D?2 DD Nebub°NP%NED Bt B, N, D°DD»D¥D?
D:PuNEDDYDDYs  NfNED¥DD%Ne D D¥D»DIDYNe  D2DP»NZND°NNE D2  Nebub+Ne
D¢ DUNEPUDYDDY:DYsNfNZ B DubiN«N,D2D N

* DYNED, DY4DuNE:

* # Calculate ac_install_merge==on

</pre>

DYNED, RNeNP¥%bY¥,  NeD%D DuNEDID DY:D¥:Du  NfDD°D-D°D%D%NN... N, D°DD»D¥D?
D¢ DUNEDUPYDDY2DY2NFNZ D DuDN+N,D2D Ne *NeD¥:D DUNEDTD, N *:

<pre>

cat /var/calculate/templates/1_ac_install_merge/.calculate_directory

# Calculate append=skip env=install ac_install_merge==on

cat /var/calculate/templates/2_ac_install_patch/.calculate_directory
# Calculate append=skip env=install cl_ver>=3.1.4&&ac_install_patch==on
</pre>

b3b°p° BN« ,NE D' D°D»NENBU?

D'DUNEND B,

<pre>

[1] sys-apps/calculate-utilities [1] (2.2.31-r25@13.12.2013 3.1.9-r12(3)@25.12.2013)
[1] sys-apps/calculate-core [1] (3.1.9-r3(3){tbz2}@20.12.2013)

</pre>

History

12/26/2013 10:48 am - Mikhail Hiretsky
- File ac_check.patch added
D 'Neb ¢ NEDD2D»DUDY:D, Ne DNFD NFN, B2 @calculate-lib-3.1.6-16@.

Daeb¥:DTDY:D¥: B, NeD¢ NED°D2D N,NE D¢ NED, B¢ D¥DVsDYaN%eD, D¢ D°N,N1De:

<pre>

patch /usr/lib/python2.7/site-packages/calculate/lib/cl_template.py <ac_check.patch

12/13/2025

1/2




<I/pre>

12/26/2013 10:49 am - Mikhail Hiretsky
- Status changed from New to In Progress

- Priority changed from Normal to High
12/26/2013 10:53 am - D+D¥:D’NEPUD! DiPubY:D H°
Dib¢P°N+D,D+b¥: D-D° YD DUNED°N,D D2DY2D¥:N-N,NE.

D'NeN* B%N,D»D N1Dv:D¥%: NED°D+D¥N,D°PuN,.

Files

ac_check.patch 832 Bytes 12/26/2013

12/13/2025

Mikhail Hiretsky
